%define module_version 0.0701
%define module_name Dist-Zilla-Plugin-Test-CreateFromMojoTemplates
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Dist/Zilla/File/InMemory.pm) perl(Dist/Zilla/Role/FileGatherer.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Find/Rule.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(MojoX/CustomTemplateFileParser.pm) perl(Moose.pm) perl(Path/Tiny.pm) perl(Test/More.pm) perl(namespace/autoclean.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.0701
Release: alt1
Summary: Create tests from custom L<Mojolicious> templates
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Dist-Zilla-Plugin-Test-CreateFromMojoTemplates

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/C/CS/CSSON/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
Dist::Zilla::Plugin::Test::CreateFromMojoTemplates creates tests by parsing a custom file format
containg Mojolicious templates and the expected rendering. See the MojoX::CustomTemplateFileParser manpage for details.

It looks for files in a given `directory' (by default `examples/source') that matches `filepattern' (by default `^\w+-\d+\.mojo$').

If you have many files you can also create a `template.test' (currently hardcoded) file. Its content will be placed at the top of all created test files.


%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE
%perl_vendor_privlib/D*

%changelog
* Fri Feb 19 2016 Igor Vlasenko <viy@altlinux.ru> 0.0701-alt1
- regenerated from template by package builder

* Wed Dec 24 2014 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1
- initial import by package builder

